ikiwiki (3.20130711) unstable; urgency=low
[ikiwiki.git] / doc / todo / Debian_package_could_Recommend_gcc_+_libc6-dev__44___not_Depend.mdwn
1 IkiWiki doesn't actually need a C compiler etc. except for CGI (and other
2 wrappers?). As it's perfectly possible to use IkiWiki without the CGI mode,
3 would it be possible to make the Debian package Recommend
4 gcc/libc6-dev/etc., rather than Depending on them?
5
6 > My approach with the dependencies of the package is to depend on
7 > everything that is needed to use ikiwiki for a fairly full-featured wiki (but
8 > not things that are only needed to turn on special features like specific
9 > plugins). That's why ikiwiki also depends on the FormBuilder, for
10 > example.
11 >
12 > I feel that making it easier to get going with ikiwiki is preferable to
13 > making everyone cherry-pick exactly the packages they need. I realize
14 > that this is not optimal for everyone.
15 >
16 > I might move these things to recommends once recommends are automatically
17 > installed by apt. That will be sorting itself out over the next month or
18 > so. --[[Joey]]
19
20 > [[done]]
21
22 [[wishlist]]